package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Kategorie;
import cz.frantovo.nekurak.dto.Kurackost;
import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;

/**
 *
 * @author fiki
 */
public class Uvod {

	private HledacSluzby hledac = new HledacSluzby();
	Integer kategorie = null;
	Integer kurackost = null;

	public void setKategorie(Integer kategorie) {
		this.kategorie = kategorie;
	}

	public Integer getKategorie() {
		return kategorie;
	}

	public void setKurackost(Integer kurackost) {
		this.kurackost = kurackost;
	}

	public Integer getKurackost() {
		return kurackost;
	}

	public Collection<Podnik> getPodniky() {
		if (kategorie != null && kurackost == null) {
			return hledac.getPodnikEJB().getPodniky(new Kategorie(kategorie));
		} else if (kategorie == null && kurackost != null) {
			return hledac.getPodnikEJB().getPodniky(new Kurackost(kurackost));
		} else {
			return hledac.getPodnikEJB().getPodniky();
		}
	}
}
