package cz.frantovo.nekurak.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author fiki
 */
public class Podnik extends SuperServlet {

	@Override
	protected void doGet(HttpServletRequest požadavek, HttpServletResponse odpověď) throws ServletException, IOException {
		super.doGet(požadavek, odpověď);

		String[] parametryCesty = (požadavek.getPathInfo().split("/"));
		int id = Integer.parseInt(parametryCesty[1]);
		
		odpověď.getOutputStream().println("URL: " + požadavek.getRequestURL());
		odpověď.getOutputStream().println("ContextPath: " + požadavek.getContextPath());
		odpověď.getOutputStream().println("PathInfo: " + požadavek.getPathInfo());
		odpověď.getOutputStream().println("PathTranslated: " + požadavek.getPathTranslated());
		odpověď.getOutputStream().println("QueryString: " + požadavek.getQueryString());
		odpověď.getOutputStream().println("RequestURI: " + požadavek.getRequestURI());
		odpověď.getOutputStream().println("Scheme: " + požadavek.getScheme());
		odpověď.getOutputStream().println("ServletPath: " + požadavek.getServletPath());
		odpověď.getOutputStream().println("ID podniku: " + id);
		odpověď.getOutputStream().println("počet parametrů: " + parametryCesty.length);
		odpověď.getOutputStream().println("parametr 0: " + parametryCesty[0]);
		odpověď.getOutputStream().println("parametr 1: " + parametryCesty[1]);
	}
}
